## org.eclipse.emf.ocl.expressions
Interface Visitor

All Known Subinterfaces:
  EvaluationVisitor

All Known Implementing Classes:
  AbstractVisitor, EvaluationVisitorImpl, ToStringVisitorImpl, ValidationVisitorImpl

Deprecated. Use the `Visitor` interface, instead.

    @Deprecated
    public interface Visitor

Method Summary
`Object` `visitAssociationClassCallExp(AssociationClassCallExp ae)` Deprecated.
`Object` `visitBooleanLiteralExp(BooleanLiteralExp bl)` Deprecated.
`Object` `visitCollectionLiteralExp(CollectionLiteralExp cl)` Deprecated.
`Object` `visitConstraint(Constraint constraint)` Deprecated.
`Object` `visitEnumLiteralExp(EnumLiteralExp el)` Deprecated.
`Object` `visitIfExp(IfExp i)` Deprecated.
`Object` `visitIntegerLiteralExp(IntegerLiteralExp il)` Deprecated.
`Object` `visitInvalidLiteralExp(InvalidLiteralExp il)` Deprecated.
`Object` `visitIterateExp(IterateExp ie)` Deprecated.
`Object` `visitIteratorExp(IteratorExp ie)` Deprecated.
`Object` `visitLetExp(LetExp l)` Deprecated.
`Object` `visitMessageExp(MessageExp m)` Deprecated.
`Object` `visitNullLiteralExp(NullLiteralExp il)` Deprecated.
`Object` `visitOperationCallExp(OperationCallExp oc)` Deprecated.
`Object` `visitPropertyCallExp(PropertyCallExp ae)` Deprecated.
`Object` `visitRealLiteralExp(RealLiteralExp rl)` Deprecated.
`Object` `visitStateExp(StateExp s)` Deprecated.
`Object` `visitStringLiteralExp(StringLiteralExp sl)` Deprecated.
`Object` `visitTupleLiteralExp(TupleLiteralExp tl)` Deprecated.
`Object` `visitTupleLiteralPart(TupleLiteralPart tp)` Deprecated.
`Object` `visitTypeExp(TypeExp t)` Deprecated.
`Object` `visitUnspecifiedValueExp(UnspecifiedValueExp uv)` Deprecated.
`Object` `visitVariable(Variable vd)` Deprecated.
`Object` `visitVariableExp(VariableExp v)` Deprecated.

Method Detail

### visitOperationCallExp

    Object visitOperationCallExp(OperationCallExp oc)

  Deprecated.

### visitVariableExp

    Object visitVariableExp(VariableExp v)

  Deprecated.

### visitPropertyCallExp

    Object visitPropertyCallExp(PropertyCallExp ae)

  Deprecated.

### visitAssociationClassCallExp

    Object visitAssociationClassCallExp(AssociationClassCallExp ae)

  Deprecated.

### visitVariable

    Object visitVariable(Variable vd)

  Deprecated.

### visitIfExp

    Object visitIfExp(IfExp i)

  Deprecated.

### visitTypeExp

    Object visitTypeExp(TypeExp t)

  Deprecated.

### visitUnspecifiedValueExp

    Object visitUnspecifiedValueExp(UnspecifiedValueExp uv)

  Deprecated.

### visitIntegerLiteralExp

    Object visitIntegerLiteralExp(IntegerLiteralExp il)

  Deprecated.

### visitRealLiteralExp

    Object visitRealLiteralExp(RealLiteralExp rl)

  Deprecated.

### visitStringLiteralExp

    Object visitStringLiteralExp(StringLiteralExp sl)

  Deprecated.

### visitBooleanLiteralExp

    Object visitBooleanLiteralExp(BooleanLiteralExp bl)

  Deprecated.

### visitTupleLiteralExp

    Object visitTupleLiteralExp(TupleLiteralExp tl)

  Deprecated.

### visitTupleLiteralPart

    Object visitTupleLiteralPart(TupleLiteralPart tp)

  Deprecated.

### visitInvalidLiteralExp

    Object visitInvalidLiteralExp(InvalidLiteralExp il)

  Deprecated.

### visitNullLiteralExp

    Object visitNullLiteralExp(NullLiteralExp il)

  Deprecated.

### visitLetExp

    Object visitLetExp(LetExp l)

  Deprecated.

### visitEnumLiteralExp

    Object visitEnumLiteralExp(EnumLiteralExp el)

  Deprecated.

### visitCollectionLiteralExp

    Object visitCollectionLiteralExp(CollectionLiteralExp cl)

  Deprecated.

### visitIteratorExp

    Object visitIteratorExp(IteratorExp ie)

  Deprecated.

### visitIterateExp

    Object visitIterateExp(IterateExp ie)

  Deprecated.

### visitStateExp

    Object visitStateExp(StateExp s)

  Deprecated.

### visitMessageExp

    Object visitMessageExp(MessageExp m)

  Deprecated.

### visitConstraint

    Object visitConstraint(Constraint constraint)

  Deprecated.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.